%define major 2
%define libname %mklibname sigsegv %{major}
%define develname %mklibname sigsegv -d
%define staticname %mklibname sigsegv -d -s

Summary:	Library for handling page faults in user mode
Name:		libsigsegv
Version:	2.10
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Libraries
URL:		http://libsigsegv.sourceforge.net/
Source0:	http://ftp.gnu.org/gnu/libsigsegv/%{name}-%{version}.tar.gz

%description
This is a library for handling page faults in user mode. A page fault
occurs when a program tries to access to a region of memory that is
currently not available. Catching and handling a page fault is a useful
technique for implementing:
  - pageable virtual memory,
  - memory-mapped access to persistent databases,
  - generational garbage collectors,
  - stack overflow handlers,
  - distributed shared memory,

%package -n %{libname}
Summary:	Library for handling page faults in user mode
Group:		System/Libraries

%description -n %{libname}
This is a library for handling page faults in user mode. A page fault
occurs when a program tries to access to a region of memory that is
currently not available. Catching and handling a page fault is a useful
technique for implementing:
  - pageable virtual memory,
  - memory-mapped access to persistent databases,
  - generational garbage collectors,
  - stack overflow handlers,
  - distributed shared memory,

%package -n %{develname}
Summary:	Development libraries and header files for %{name} 
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname sigsegv 0 -d

%description -n	%{develname}
Libraries and header files for %{name} development.

%package -n %{staticname}
Summary:	Static development libraries for %{name}
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Obsoletes:	%mklibname -d -s sigsegv 0

%description -n %{staticname}
Static development libraries for %{name} development.

%prep
%setup -q

%build
%configure2_5x \
    --libdir=/%{_lib} \
    --enable-shared \
    --enable-static
%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

rm -f %{buildroot}/%{_lib}/*.la
rm -f %{buildroot}/%{_lib}/*.so

install -d %{buildroot}%{_libdir}
ln -s /%{_lib}/libsigsegv.so.%{major} %{buildroot}%{_libdir}/libsigsegv.so
mv %{buildroot}/%{_lib}/lib*.a %{buildroot}%{_libdir}/

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
/%{_lib}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_includedir}/*

%files -n %{staticname}
%{_libdir}/lib*.a




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.10-2.mga3
+ Revision: 358165
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 18 2011 fwang <fwang> 2.10-1.mga2
+ Revision: 125593
- new version 2.10

* Sat Jan 08 2011 blino <blino> 2.9-2.mga1
+ Revision: 560
- remove obsolete postun
- imported package libsigsegv

